unit SeDetails;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDetailsDialog = class(TForm)
    btnPrev: TButton;
    btnNext: TButton;
    edtOid: TMemo;
    edtValue: TMemo;
    edtType: TMemo;
    lblOid: TLabel;
    lblName: TLabel;
    lblType: TLabel;
    lblValue: TLabel;
    edtName: TMemo;
    btnClose: TButton;
    procedure FormShow(Sender: TObject);
    procedure GroupClick(Sender: TObject);
  private
    { Private declarations }
    procedure UpdateControls;
  public
    { Public declarations }
  end;

procedure ShowDetailsDialog(AOwner: TComponent);

var
  DetailsDialog: TDetailsDialog;

implementation

uses SeMain;

{$R *.dfm}

procedure ShowDetailsDialog(AOwner: TComponent);
begin
  with TDetailsDialog.Create(AOwner) do
  try
    ShowModal;
  finally
    Free;
  end;
end;

procedure TDetailsDialog.FormShow(Sender: TObject);
begin
  UpdateControls;
end;

procedure TDetailsDialog.GroupClick(Sender: TObject);
begin
  with MainForm.ListView do
  begin
    Selected := Items[Selected.Index + (Sender as TButton).Tag];
    Selected.Focused := True;
    Selected.MakeVisible(True);
  end;
  UpdateControls;
end;

procedure TDetailsDialog.UpdateControls;
begin
  with MainForm.ListView do
  begin
    if Selected.Index = 0 then
      btnPrev.Enabled := False
    else
      btnPrev.Enabled := True;
    if Selected.Index = Items.Count - 1 then
      btnNext.Enabled := False
    else
      btnNext.Enabled := True;
    edtOid.Text := Selected.Caption;
    edtName.Text := Selected.SubItems[0];
    edtType.Text := Selected.SubItems[1];
    edtValue.Text := Selected.SubItems[2];
  end;
end;

end.
